## GnomeDbSelectorTable GnomeDbSelectorTable |

## Synopsis

                        GnomeDbSelectorTable;
                        GnomeDbSelectorTableClass;
    enum                GnomeDbSelectorTableNodeType;
    GnomeDbSelectorPart * gnome_db_selector_table_new       (GdaMetaStore *store);

## Object Hierarchy

      GObject
       +----GnomeDbSelectorTable

## Implemented Interfaces

GnomeDbSelectorTable implements GnomeDbSelectorPart.

## Properties

      "auto-features"            guint                 : Read / Write / Construct Only
      "meta-store"               GdaMetaStore*         : Read / Write / Construct Only

## Description

## Details

### GnomeDbSelectorTable

    typedef struct _GnomeDbSelectorTable GnomeDbSelectorTable;

### GnomeDbSelectorTableClass

    typedef struct {
    	GObjectClass            parent_class;
    } GnomeDbSelectorTableClass;

### enum GnomeDbSelectorTableNodeType

    typedef enum {
    	GNOME_DB_SELECTOR_TABLE_COLUMNS = 0,
    	GNOME_DB_SELECTOR_TABLE_INDEXES,
    	GNOME_DB_SELECTOR_TABLE_CONSTRAINTS,
    	GNOME_DB_SELECTOR_TABLE_TRIGGERS,
    	GNOME_DB_SELECTOR_TABLE_RULES,

    	GNOME_DB_SELECTOR_TABLE_LAST
    } GnomeDbSelectorTableNodeType;

### gnome_db_selector_table_new ()

    GnomeDbSelectorPart * gnome_db_selector_table_new       (GdaMetaStore *store);

`store` : | a GdaMetaStore object
Returns : | a new GnomeDbSelectorPart object

## Property Details

### The `"auto-features"` property

      "auto-features"            guint                 : Read / Write / Construct Only

Default value: 0

### The `"meta-store"` property

      "meta-store"               GdaMetaStore*         : Read / Write / Construct Only